XcodePlugin (Gradle API 4.10.2)
Date: 2018-09-19

org.gradle.ide.xcode.plugins

## Class XcodePlugin

- java.lang.Object
- - org.gradle.plugins.ide.internal.IdePlugin
  - - org.gradle.ide.xcode.plugins.XcodePlugin

- All Implemented Interfaces:
    Plugin<Project>

      @Incubating
      public class XcodePlugin
      extends org.gradle.plugins.ide.internal.IdePlugin

  A plugin for creating a XCode project for a gradle project.
  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XcodePlugin(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator, ObjectFactory objectFactory, org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getLifecycleTaskName()`
    `protected void` | `onApply(Project project)`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin

      `addWorker, addWorker, addWorker, addWorker, addWorkspace, apply, cleanName, dependsOn, dependsOn, getCleanTask, getLifecycleTask, isRoot, toGradleCommand, withDescription`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XcodePlugin

          @Inject
          public XcodePlugin(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator,
                                     ObjectFactory objectFactory,
                                     org.gradle.plugins.ide.internal.IdeArtifactRegistry artifactRegistry)

  - ### Method Detail

    - #### getLifecycleTaskName

          protected String getLifecycleTaskName()

      Specified by:
        `getLifecycleTaskName` in class `org.gradle.plugins.ide.internal.IdePlugin`

    - #### onApply

          protected void onApply(Project project)

      Overrides:
        `onApply` in class `org.gradle.plugins.ide.internal.IdePlugin`